; ##############################################################################
; ##############################################################################
; ##############################################################################
; 																				
; EICRA  External Interrupt Control Register A									
; ISCn1 ISCn0 Description														
; 	0 	0 	The low level of INTn generates an interrupt request.				
; 	0 	1 	Any edge of INTn generates asynchronously an interrupt request.		
; 	1 	0 	The falling edge of INTn generates asynchronously an interrupt request.
; 	1 	1 	The rising edge of INTn generates asynchronously an interrupt request.
; 																				
EXT_INTERRUPT_INITIALISIERUNG:
	; PULL-UP-ON									
	;sbi PORTD,PD2		; INT0--> PD2	
	;sbi PORTD,PD3		; INT1--> PD3	
	sbi PORTB,PB2		; INT2--> PB2	
	; EICRA External Interrupt Control Register A	
	ldi temp, (0<<ISC21)|(1<<ISC20)|(0<<ISC11)|(1<<ISC10)|(0<<ISC01)|(1<<ISC00)
	STS EICRA,temp
	; EIMSK  External Interrupt Mask Register		
	ldi temp, (1<<INT2)|(0<<INT1)|(0<<INT0)
	OUT EIMSK,temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; PIN4 vom ENC																	
EXT_INT2:
	cbi (LED_GELB2_PORT),(LED_GELB2_PIN_NR)			; GELB2an	
reti
; ##############################################################################
; ##############################################################################
; ##############################################################################
