;																				
; Warteschleifen																
; Version: 24.11.2011															
; 16 MHz Takt																	
; 																				
; Hinweis: die Wartezeiten stimmen nur dann, wenn kein Interruptaufruf erfolgt	
;																				
; ##############################################################################
; ##############################################################################
; ##############################################################################
WAIT_1us:
	WDR
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca.5s Pause																	
wait_5us:                              
	rcall WAIT_1us
	rcall WAIT_1us
	rcall WAIT_1us
	rcall WAIT_1us
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
WAIT_10us:
	rcall WAIT_5us
	rcall WAIT_5us
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
WAIT_20us:
	rcall WAIT_10us
	rcall WAIT_10us
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca.50s Pause																	
wait_50us:                              
	rcall WAIT_10us
	rcall WAIT_10us
	rcall WAIT_10us
	rcall WAIT_10us
	rcall WAIT_10us
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
wait_1ms:                               
	push temp1           ; temp1 auf dem Stack sichern            
	push temp2           ; temp2 auf dem Stack sichern            
;------------
	clr temp1
    ldi temp2,16		; (16 bei 16MHz)	
wait_1ms_w:
    WDR					; WATCH-DOG		
	dec  temp1
    brne wait_1ms_w
    dec  temp2
    brne wait_1ms_w
;------------
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 5ms Pause																	
wait_5ms:                               
	rcall wait_1ms
	rcall wait_1ms
	rcall wait_1ms
	rcall wait_1ms
	rcall wait_1ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
wait_10ms:                               
	rcall wait_5ms
	rcall wait_5ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 20ms Pause																
wait_20ms:                               
	rcall wait_10ms
	rcall wait_10ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 20ms Pause																
wait_50ms:    
	rcall wait_20ms
	rcall wait_20ms
	rcall wait_10ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 100ms Pause																
WAIT_100ms:
	rcall WAIT_20ms
	rcall WAIT_20ms
	rcall WAIT_20ms
	rcall WAIT_20ms
	rcall WAIT_20ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 1s Pause																	
WAIT_1s:
	rcall WAIT_100ms
	rcall WAIT_100ms
	rcall WAIT_100ms
	rcall WAIT_100ms
	rcall WAIT_100ms
	rcall WAIT_100ms
	rcall WAIT_100ms
	rcall WAIT_100ms
	rcall WAIT_100ms
	rcall WAIT_100ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
