; ##############################################################################
; ##############################################################################
; ##############################################################################
ENC_WARTUNG_AUSGABE_MAC:
	ldi temp1,(MAADR1)
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_TEMP1
	ldi temp1,(MAADR2)
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_TEMP1
	ldi temp1,(MAADR3)
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_TEMP1
	ldi temp1,(MAADR4)
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_TEMP1
	ldi temp1,(MAADR5)
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_TEMP1
	ldi temp1,(MAADR6)
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 00h ERDPTL 		00h EHT0 		00h MACON1 		00h MAADR5					
; 01h ERDPTH 		01h EHT1 		01h Reserved 	01h MAADR6					
; 02h EWRPTL 		02h EHT2 		02h MACON3 		02h MAADR3					
; 03h EWRPTH 		03h EHT3 		03h MACON4 		03h MAADR4					
; 04h ETXSTL 		04h EHT4 		04h MABBIPG 	04h MAADR1					
; 05h ETXSTH 		05h EHT5 		05h . 			05h MAADR2					
; 06h ETXNDL 		06h EHT6 		06h MAIPGL 		06h EBSTSD					
; 07h ETXNDH 		07h EHT7 		07h MAIPGH 		07h EBSTCON					
; 08h ERXSTL 		08h EPMM0 		08h MACLCON1 	08h EBSTCSL					
; 09h ERXSTH 		09h EPMM1 		09h MACLCON2 	09h EBSTCSH					
; 0Ah ERXNDL 		0Ah EPMM2 		0Ah MAMXFLL 	0Ah MISTAT					
; 0Bh ERXNDH 		0Bh EPMM3 		0Bh MAMXFLH 	0Bh .						
; 0Ch ERXRDPTL 		0Ch EPMM4 		0Ch Reserved 	0Ch .						
; 0Dh ERXRDPTH 		0Dh EPMM5 		0Dh Reserved 	0Dh .						
; 0Eh ERXWRPTL 		0Eh EPMM6 		0Eh Reserved 	0Eh .						
; 0Fh ERXWRPTH 		0Fh EPMM7 		0Fh . 			0Fh .						
; 10h EDMASTL 		10h EPMCSL 		10h Reserved 	10h .						
; 11h EDMASTH 		11h EPMCSH 		11h Reserved 	11h .						
; 12h EDMANDL 		12h . 			12h MICMD 		12h EREVID					
; 13h EDMANDH 		13h . 			13h . 			13h .						
; 14h EDMADSTL 		14h EPMOL 		14h MIREGADR 	14h .						
; 15h EDMADSTH 		15h EPMOH 		15h Reserved 	15h ECOCON					
; 16h EDMACSL 		16h Reserved 	16h MIWRL 		16h Reserved				
; 17h EDMACSH 		17h Reserved 	17h MIWRH 		17h EFLOCON					
; 18h . 			18h ERXFCON 	18h MIRDL 		18h EPAUSL					
; 19h . 			19h EPKTCNT 	19h MIRDH 		19h EPAUSH					
; 1Ah Reserved 		1Ah Reserved 	1Ah Reserved 	1Ah Reserved				
; 1Bh EIE 			1Bh EIE 		1Bh EIE 		1Bh EIE						
; 1Ch EIR 			1Ch EIR 		1Ch EIR 		1Ch EIR						
; 1Dh ESTAT 		1Dh ESTAT 		1Dh ESTAT 		1Dh ESTAT					
; 1Eh ECON2 		1Eh ECON2 		1Eh ECON2 		1Eh ECON2					
; 1Fh ECON1 		1Fh ECON1 		1Fh ECON1 		1Fh ECON1					
WARTUNG_ANZEIGE_ALLE_REGISTER:
; 00h ERDPTL 		00h EHT0 		00h MACON1 		00h MAADR5					
	ldi temp1,0x00		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(ERDPTL)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EHT0)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(MACON1)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(MAADR5)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_00*2)	; TEXT	
	ldi ZH,HIGH(TEXT_00*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 01h ERDPTH 		01h EHT1 		01h Reserved 	01h MAADR6					
	ldi temp1,0x01		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(ERDPTH)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EHT1)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(0)		; Bank-2 
	rcall USART_DUMMY			; DUMMY	
	ldi temp1,(MAADR6)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_01*2)	; TEXT	
	ldi ZH,HIGH(TEXT_01*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 02h EWRPTL 		02h EHT2 		02h MACON3 		02h MAADR3					
	ldi temp1,0x02		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(EWRPTL)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EHT2)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(MACON3)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(MAADR3)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_02*2)	; TEXT	
	ldi ZH,HIGH(TEXT_02*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 03h EWRPTH 		03h EHT3 		03h MACON4 		03h MAADR4					
	ldi temp1,0x03		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(EWRPTH)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EHT3)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(MACON4)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(MAADR4)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_03*2)	; TEXT	
	ldi ZH,HIGH(TEXT_03*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 04h ETXSTL 		04h EHT4 		04h MABBIPG 	04h MAADR1					
	ldi temp1,0x04		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(ETXSTL)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EHT4)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(MABBIPG)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(MAADR1)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_04*2)	; TEXT	
	ldi ZH,HIGH(TEXT_04*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 05h ETXSTH 		05h EHT5 		05h . 			05h MAADR2					
	ldi temp1,0x05		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(ETXSTH)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EHT5)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(0)		; Bank-2 
	rcall USART_DUMMY			; DUMMY	
	ldi temp1,(MAADR2)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_05*2)	; TEXT	
	ldi ZH,HIGH(TEXT_05*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 06h ETXNDL 		06h EHT6 		06h MAIPGL 		06h EBSTSD					
	ldi temp1,0x06		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(ETXNDL)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EHT6)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(MAIPGL)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EBSTSD)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_06*2)	; TEXT	
	ldi ZH,HIGH(TEXT_06*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 07h ETXNDH 		07h EHT7 		07h MAIPGH 		07h EBSTCON					
	ldi temp1,0x07		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(ETXNDH)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EHT7)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(MAIPGH)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EBSTCON)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_07*2)	; TEXT	
	ldi ZH,HIGH(TEXT_07*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 08h ERXSTL 		08h EPMM0 		08h MACLCON1 	08h EBSTCSL					
	ldi temp1,0x08		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(ERXSTL)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EPMM0)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(MACLCON1)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EBSTCSL)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_08*2)	; TEXT	
	ldi ZH,HIGH(TEXT_08*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 09h ERXSTH 		09h EPMM1 		09h MACLCON2 	09h EBSTCSH					
	ldi temp1,0x09		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(ERXSTH)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EPMM1)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(MACLCON2)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EBSTCSH)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_09*2)	; TEXT	
	ldi ZH,HIGH(TEXT_09*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 0Ah ERXNDL 		0Ah EPMM2 		0Ah MAMXFLL 	0Ah MISTAT					
	ldi temp1,0x0A		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(ERXNDL)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EPMM2)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(MAMXFLL)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(MISTAT)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_0A*2)	; TEXT	
	ldi ZH,HIGH(TEXT_0A*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 0Bh ERXNDH 		0Bh EPMM3 		0Bh MAMXFLH 	0Bh .						
	ldi temp1,0x0B		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(ERXNDH)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EPMM3)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(MAMXFLH)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(0)		; Bank-3 
	rcall USART_DUMMY			; DUMMY	
	ldi ZL,LOW (TEXT_0B*2)	; TEXT	
	ldi ZH,HIGH(TEXT_0B*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 0Ch ERXRDPTL 		0Ch EPMM4 		0Ch Reserved 	0Ch .						
	ldi temp1,0x0C		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(ERXRDPTL); Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EPMM4)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(0)		; Bank-2 
	rcall USART_DUMMY			; DUMMY	
	ldi temp1,(0)		; Bank-3 
	rcall USART_DUMMY			; DUMMY	
	ldi ZL,LOW (TEXT_0C*2)	; TEXT	
	ldi ZH,HIGH(TEXT_0C*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 0Dh ERXRDPTH 		0Dh EPMM5 		0Dh Reserved 	0Dh .						
	ldi temp1,0x0D		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(ERXRDPTH); Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EPMM5)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(0)		; Bank-2 
	rcall USART_DUMMY			; DUMMY	
	ldi temp1,(0)		; Bank-3 
	rcall USART_DUMMY			; DUMMY	
	ldi ZL,LOW (TEXT_0D*2)	; TEXT	
	ldi ZH,HIGH(TEXT_0D*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 0Eh ERXWRPTL 		0Eh EPMM6 		0Eh Reserved 	0Eh .						
	ldi temp1,0x0E		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(ERXWRPTL); Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EPMM6)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(0)		; Bank-2 
	rcall USART_DUMMY			; DUMMY	
	ldi temp1,(0)		; Bank-3 
	rcall USART_DUMMY			; DUMMY	
	ldi ZL,LOW (TEXT_0E*2)	; TEXT	
	ldi ZH,HIGH(TEXT_0E*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 0Fh ERXWRPTH 		0Fh EPMM7 		0Fh . 			0Fh .						
	ldi temp1,0x0F		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(ERXWRPTH); Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EPMM7)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(0)		; Bank-2 
	rcall USART_DUMMY			; DUMMY	
	ldi temp1,(0)		; Bank-3 
	rcall USART_DUMMY			; DUMMY	
	ldi ZL,LOW (TEXT_0F*2)	; TEXT	
	ldi ZH,HIGH(TEXT_0F*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 10h EDMASTL 		10h EPMCSL 		10h Reserved 	10h .						
	ldi temp1,0x10		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(EDMASTL)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EPMCSL)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(0)	; Bank-2 
	rcall USART_DUMMY			; DUMMY	
	ldi temp1,(0)	; Bank-3 
	rcall USART_DUMMY			; DUMMY	
	ldi ZL,LOW (TEXT_10*2)	; TEXT	
	ldi ZH,HIGH(TEXT_10*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 11h EDMASTH 		11h EPMCSH 		11h Reserved 	11h .						
	ldi temp1,0x11		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(EDMASTH)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EPMCSH)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(0)	; Bank-2 
	rcall USART_DUMMY			; DUMMY	
	ldi temp1,(0)	; Bank-3 
	rcall USART_DUMMY			; DUMMY	
	ldi ZL,LOW (TEXT_11*2)	; TEXT	
	ldi ZH,HIGH(TEXT_11*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 12h EDMANDL 		12h . 			12h MICMD 		12h EREVID					
	ldi temp1,0x12		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(EDMANDL)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(0)		; Bank-1 
	rcall USART_DUMMY			; DUMMY	
	ldi temp1,(MICMD)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EREVID)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_12*2)	; TEXT	
	ldi ZH,HIGH(TEXT_12*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 13h EDMANDH 		13h . 			13h . 			13h .						
	ldi temp1,0x13		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(EDMANDH)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(0)		; Bank-1 
	rcall USART_DUMMY			; DUMMY	
	ldi temp1,(0)		; Bank-2 
	rcall USART_DUMMY			; DUMMY	
	ldi temp1,(0)		; Bank-3 
	rcall USART_DUMMY			; DUMMY	
	ldi ZL,LOW (TEXT_13*2)	; TEXT	
	ldi ZH,HIGH(TEXT_13*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 14h EDMADSTL 		14h EPMOL 		14h MIREGADR 	14h .						
	ldi temp1,0x14		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(EDMADSTL)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EPMOL)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(MIREGADR)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(0)	; Bank-3 
	rcall USART_DUMMY			; DUMMY	
	ldi ZL,LOW (TEXT_14*2)	; TEXT	
	ldi ZH,HIGH(TEXT_14*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 15h EDMADSTH 		15h EPMOH 		15h Reserved 	15h ECOCON					
	ldi temp1,0x15		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(EDMADSTH); Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EPMOH)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(0)		; Bank-2 
	rcall USART_DUMMY			; DUMMY	
	ldi temp1,(ECOCON)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_15*2)	; TEXT	
	ldi ZH,HIGH(TEXT_15*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 16h EDMACSL 		16h Reserved 	16h MIWRL 		16h Reserved				
	ldi temp1,0x16		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(EDMACSL)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(0)		; Bank-1 
	rcall USART_DUMMY			; DUMMY	
	ldi temp1,(MIWRL)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(0)		; Bank-3 
	rcall USART_DUMMY			; DUMMY	
	ldi ZL,LOW (TEXT_16*2)	; TEXT	
	ldi ZH,HIGH(TEXT_16*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 17h EDMACSH 		17h Reserved 	17h MIWRH 		17h EFLOCON					
	ldi temp1,0x17		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(EDMACSH)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(0)	; Bank-1 
	rcall USART_DUMMY			; DUMMY	
	ldi temp1,(MIWRH)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EFLOCON)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_17*2)	; TEXT	
	ldi ZH,HIGH(TEXT_17*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 18h . 			18h ERXFCON 	18h MIRDL 		18h EPAUSL					
	ldi temp1,0x18		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(0)	; Bank-0 
	rcall USART_DUMMY			; DUMMY	
	ldi temp1,(ERXFCON)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(MIRDL)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EPAUSL)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_18*2)	; TEXT	
	ldi ZH,HIGH(TEXT_18*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 19h . 			19h EPKTCNT 	19h MIRDH 		19h EPAUSH					
	ldi temp1,0x19		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(0)		; Bank-0 
	rcall USART_DUMMY			; DUMMY	
	ldi temp1,(EPKTCNT)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(MIRDH)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EPAUSH)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_19*2)	; TEXT	
	ldi ZH,HIGH(TEXT_19*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 1Ah Reserved 		1Ah Reserved 	1Ah Reserved 	1Ah Reserved				
	ldi temp1,0x1A		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(0)	; Bank-0 
	rcall USART_DUMMY			; DUMMY	
	ldi temp1,(0)	; Bank-1 
	rcall USART_DUMMY			; DUMMY	
	ldi temp1,(0)	; Bank-2 
	rcall USART_DUMMY			; DUMMY	
	ldi temp1,(0)	; Bank-3 
	rcall USART_DUMMY			; DUMMY	
	ldi ZL,LOW (TEXT_1A*2)	; TEXT	
	ldi ZH,HIGH(TEXT_1A*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 1Bh EIE 			1Bh EIE 		1Bh EIE 		1Bh EIE						
	ldi temp1,0x1B		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(EIE)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EIE)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EIE)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EIE)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_1B*2)	; TEXT	
	ldi ZH,HIGH(TEXT_1B*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 1Ch EIR 			1Ch EIR 		1Ch EIR 		1Ch EIR						
	ldi temp1,0x1C		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(EIR)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EIR)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EIR)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(EIR)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_1C*2)	; TEXT	
	ldi ZH,HIGH(TEXT_1C*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 1Dh ESTAT 		1Dh ESTAT 		1Dh ESTAT 		1Dh ESTAT					
	ldi temp1,0x1D		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(ESTAT)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(ESTAT)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(ESTAT)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(ESTAT)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_1D*2)	; TEXT	
	ldi ZH,HIGH(TEXT_1D*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 1Eh ECON2 		1Eh ECON2 		1Eh ECON2 		1Eh ECON2					
	ldi temp1,0x1E		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(ECON2)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(ECON2)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(ECON2)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(ECON2)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_1E*2)	; TEXT	
	ldi ZH,HIGH(TEXT_1E*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 1Fh ECON1 		1Fh ECON1 		1Fh ECON1 		1Fh ECON1					
	ldi temp1,0x1F		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(ECON1)	; Bank-0 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(ECON1)	; Bank-1 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(ECON1)	; Bank-2 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi temp1,(ECON1)	; Bank-3 
	rcall ENC_SPI_READ_CONTROL_REGISTER_TEMP1
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_1F*2)	; TEXT	
	ldi ZH,HIGH(TEXT_1F*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
	rcall USART_NEW_ZEILE
	rcall USART_NEW_ZEILE
	rcall USART_NEW_ZEILE
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
; ENC28J60 PHY REGISTER															
; 00h PHCON1																	
	ldi temp1,0x00		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(PHCON1)
	rcall ENC_SPI_READ_PHY_REGISTER_TEMP1_TEMP2
	rcall USART_TX_HEX_TEMP2
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_PHY_00*2)	; TEXT	
	ldi ZH,HIGH(TEXT_PHY_00*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 01h PHSTAT1																	
	ldi temp1,0x01		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(PHSTAT1)
	rcall ENC_SPI_READ_PHY_REGISTER_TEMP1_TEMP2
	rcall USART_TX_HEX_TEMP2
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_PHY_01*2)	; TEXT	
	ldi ZH,HIGH(TEXT_PHY_01*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 02h PHID1																		
	ldi temp1,0x02		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(PHID1)
	rcall ENC_SPI_READ_PHY_REGISTER_TEMP1_TEMP2
	rcall USART_TX_HEX_TEMP2
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_PHY_02*2)	; TEXT	
	ldi ZH,HIGH(TEXT_PHY_02*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 03h PHID2																		
	ldi temp1,0x03		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(PHID2)
	rcall ENC_SPI_READ_PHY_REGISTER_TEMP1_TEMP2
	rcall USART_TX_HEX_TEMP2
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_PHY_03*2)	; TEXT	
	ldi ZH,HIGH(TEXT_PHY_03*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 10h PHCON2																	
	ldi temp1,0x10		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(PHCON2)
	rcall ENC_SPI_READ_PHY_REGISTER_TEMP1_TEMP2
	rcall USART_TX_HEX_TEMP2
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_PHY_10*2)	; TEXT	
	ldi ZH,HIGH(TEXT_PHY_10*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 11h PHSTAT2																	
	ldi temp1,0x11		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(PHSTAT2)
	rcall ENC_SPI_READ_PHY_REGISTER_TEMP1_TEMP2
	rcall USART_TX_HEX_TEMP2
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_PHY_11*2)	; TEXT	
	ldi ZH,HIGH(TEXT_PHY_11*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 12h PHIE																		
	ldi temp1,0x12		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(PHIE)
	rcall ENC_SPI_READ_PHY_REGISTER_TEMP1_TEMP2
	rcall USART_TX_HEX_TEMP2
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_PHY_12*2)	; TEXT	
	ldi ZH,HIGH(TEXT_PHY_12*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 13h PHIR																		
	ldi temp1,0x13		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(PHIR)
	rcall ENC_SPI_READ_PHY_REGISTER_TEMP1_TEMP2
	rcall USART_TX_HEX_TEMP2
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_PHY_13*2)	; TEXT	
	ldi ZH,HIGH(TEXT_PHY_13*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
; 14h PHLCON																	
	ldi temp1,0x14		; Adresse
	rcall USART_TX_HEX_TEMP1
	rcall USART_MINUS
	ldi temp1,(PHLCON)
	rcall ENC_SPI_READ_PHY_REGISTER_TEMP1_TEMP2
	rcall USART_TX_HEX_TEMP2
	rcall USART_TX_HEX_TEMP1
	ldi ZL,LOW (TEXT_PHY_14*2)	; TEXT	
	ldi ZH,HIGH(TEXT_PHY_14*2)
	rcall USART_TEXT_Z
	rcall USART_NEW_ZEILE
	rcall USART_NEW_ZEILE
	rcall USART_NEW_ZEILE
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
	rcall USART_NEW_ZEILE
	rcall USART_NEW_ZEILE

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
WARTUNG_ANZEIGE_TEXT_PROGRAMMSTART:
	call USART_NEW_ZEILE
	ldi ZL,LOW (TEXT_PROGRAMMSTART*2)	; TEXT	
	ldi ZH,HIGH(TEXT_PROGRAMMSTART*2)
	call USART_TEXT_Z
	call USART_NEW_ZEILE
	call USART_NEW_ZEILE
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
WARTUNG_ANZEIGE_TEXT_INITIALISIERUNG:
	call USART_NEW_ZEILE
	ldi ZL,LOW (TEXT_INITIALISIERUNG*2)	; TEXT	
	ldi ZH,HIGH(TEXT_INITIALISIERUNG*2)
	call USART_TEXT_Z
	call USART_NEW_ZEILE
	call USART_NEW_ZEILE
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TEXT_PROGRAMMSTART:
.db "Programmstart......",0
TEXT_INITIALISIERUNG:
.db "Initialisierung.... wait ca. 3s ...",0


TEXT_00:
.db "--->  00h ERDPTL EHT0 MACON1    MAADR5 ",0
TEXT_01:
.db "--->  01h ERDPTH EHT1 Reserved  MAADR6 ",0					
TEXT_02:
.db "--->  02h EWRPTL EHT2 MACON3    MAADR3 ",0					
TEXT_03:
.db "--->  03h EWRPTH EHT3 MACON4    MAADR4 ",0					
TEXT_04:
.db "--->  04h ETXSTL EHT4 MABBIPG   MAADR1 ",0					
TEXT_05:
.db "--->  05h ETXSTH EHT5 --        MAADR2 ",0					
TEXT_06:
.db "--->  06h ETXNDL EHT6 MAIPGL EBSTSD",0					
TEXT_07:
.db "--->  07h ETXNDH EHT7 MAIPGH EBSTCON ",0					
TEXT_08:
.db "--->  08h ERXSTL EPMM0 MACLCON1 EBSTCSL",0					
TEXT_09:
.db "--->  09h ERXSTH EPMM1 MACLCON2 EBSTCSH",0					
TEXT_0A:
.db "--->  0Ah ERXNDL EPMM2 MAMXFLL MISTAT",0					
TEXT_0B:
.db "--->  0Bh ERXNDH EPMM3 MAMXFLH    -- ",0						
TEXT_0C:
.db "--->  0Ch ERXRDPTL EPMM4 Reserved -- ",0						
TEXT_0D:
.db "--->  0Dh ERXRDPTH EPMM5 Reserved -- ",0						
TEXT_0E:
.db "--->  0Eh ERXWRPTL EPMM6 Reserved -- ",0						
TEXT_0F:
.db "--->  0Fh ERXWRPTH EPMM7 --       -- ",0						
TEXT_10:
.db "--->  10h EDMASTL EPMCSL Reserved -- ",0						
TEXT_11:
.db "--->  11h EDMASTH EPMCSH Reserved -- ",0						
TEXT_12:
.db "--->  12h EDMANDL  --    MICMD    EREVID ",0					
TEXT_13:
.db "--->  13h EDMANDH  --    --       -- ",0						
TEXT_14:
.db "--->  14h EDMADSTL EPMOL MIREGADR -- ",0						
TEXT_15:
.db "--->  15h EDMADSTH EPMOH Reserved ECOCON ",0					
TEXT_16:
.db "--->  16h EDMACSL  Reserved MIWRL Reserved ",0				
TEXT_17:
.db "--->  17h EDMACSH  Reserved MIWRH EFLOCON",0					
TEXT_18:
.db "--->  18h --       ERXFCON  MIRDL EPAUSL ",0					
TEXT_19:
.db "--->  19h --       EPKTCNT  MIRDH EPAUSH ",0					
TEXT_1A:
.db "--->  1Ah Reserved Reserved Reserved Reserved",0				
TEXT_1B:
.db "--->  1Bh EIE",0						
TEXT_1C:
.db "--->  1Ch EIR",0						
TEXT_1D:
.db "--->  1Dh ESTAT",0					
TEXT_1E:
.db "--->  1Eh ECON2",0					
TEXT_1F:
.db "--->  1Fh ECON1",0					


TEXT_PHY_00:
.db " 00h PHCON1",0	
TEXT_PHY_01:
.db " 01h PHSTAT1 ",0	
TEXT_PHY_02:
.db " 02h PHID1 ",0	
TEXT_PHY_03:
.db " 03h PHID2 ",0	
TEXT_PHY_10:
.db " 10h PHCON2",0	
TEXT_PHY_11:
.db " 11h PHSTAT2 ",0	
TEXT_PHY_12:
.db " 12h PHIE",0	
TEXT_PHY_13:
.db " 13h PHIR",0	
TEXT_PHY_14:
.db " 14h PHLCON",0	
